> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Debug

> Searches the items displayed on the storefront for products or product options that the shopper types in a search query. Used for debugging.



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json get /commerce/catalog/storefront/productsearch/searchDebug
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/productsearch/searchDebug:
    get:
      tags:
        - ProductSearch
      summary: Search Debug
      description: >-
        Searches the items displayed on the storefront for products or product
        options that the shopper types in a search query. Used for debugging.
      parameters:
        - description: The terms to search on.
          in: query
          name: query
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - description: 'The template to use for what facets to compute. ex: categoryId:id'
          in: query
          name: facetTemplate
          schema:
            type: string
        - description: >-
            If you only want to return a subset of the facets defined in the
            template. ex: category,price,rating
          in: query
          name: facetTemplateSubset
          schema:
            type: string
        - description: >-
            Fields to facet on in addition to the optionally provided
            facetTemplate. ex: category,price,rating
          in: query
          name: facet
          schema:
            type: string
        - description: 'Facet field range. ex: field:[val+TO+val] can also label'
          in: query
          name: facetFieldRangeQuery
          schema:
            type: string
        - description: >-
            Facet hierarchy prefix. Skip these levels on a hierarchical facet.
            ex: field:foo/bar/bing
          in: query
          name: facetHierPrefix
          schema:
            type: string
        - description: >-
            Find the node to start with given a unique lookup value, instead of
            requiring a prefix path. ex: field:bing
          in: query
          name: facetHierValue
          schema:
            type: string
        - description: 'Facet hierarchy depth. Number of levels to return. ex: category:1'
          in: query
          name: facetHierDepth
          schema:
            type: string
        - description: Facet offset
          in: query
          name: facetStartIndex
          schema:
            type: string
        - description: Facet page size
          in: query
          name: facetPageSize
          schema:
            type: string
        - description: Deprecated
          in: query
          name: facetSettings
          schema:
            type: string
        - description: 'Apply facet values as a filter. ex: category:3,price:[* TO 100]'
          in: query
          name: facetValueFilter
          schema:
            type: string
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending (a-z) or descending (z-a) order.
            Optional.
          in: query
          name: sortBy
          schema:
            type: string
        - description: Whether to slice results or not
          in: query
          name: sliceSearchResults
          schema:
            default: false
            type: boolean
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 12 and the
            maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. The
            default value is 0. Optional.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The name of a SiteSearchSettings (search relevancy settings) scheme
            to use. Defaults to whichever Settings is marked as IsDefault=true.
          in: query
          name: searchSettings
          schema:
            type: string
        - description: Use search-tuning-rules or not
          in: query
          name: enableSearchTuningRules
          schema:
            default: true
            type: boolean
        - description: The filters which the search tuning rules will match on.
          in: query
          name: searchTuningRuleContext
          schema:
            type: string
        - description: Search-Tuning-Rule Code
          in: query
          name: searchTuningRuleCode
          schema:
            type: string
        - description: >-
            A list of property groups to return instead of using the granular
            responseFields param. ex: categories,properties,options
          in: query
          name: responseGroups
          schema:
            type: string
        - description: ''
          in: query
          name: facetTemplateExclude
          schema:
            type: string
        - description: ''
          in: query
          name: facetPrefix
          schema:
            type: string
        - description: ''
          in: query
          name: responseOptions
          schema:
            type: string
        - description: >-
            Pass in * to begin a deep page operation. The response will include
            a nextCursorMark value. Pass this into the next call. Continue with
            this pattern until nextCursorMark is null.
          in: query
          name: cursorMark
          schema:
            type: string
        - description: ''
          in: query
          name: facetValueSort
          schema:
            type: string
        - description: >-
            Only respond with the request made to the search-engine, for one
            "groups" parameter value. Default is false. Optional parameter.
          in: query
          name: returnUrl
          schema:
            default: false
            type: boolean
        - description: Personalization Id (Monetate Id)
          in: query
          name: mid
          schema:
            type: string
        - description: ''
          in: query
          name: omitNamespace
          schema:
            type: boolean
        - description: ''
          in: query
          name: campaignId
          schema:
            type: string
        - description: Optional. Use a specific search-merchandizing-rule code if provided.
          in: query
          name: merchandizingRuleCode
          schema:
            type: string
        - description: ''
          in: query
          name: responseFields
          schema:
            type: string
        - in: query
          name: rows
          schema:
            format: int32
            type: integer
        - in: query
          name: start
          schema:
            format: int32
            type: integer
        - description: optional alternative to query for debugging tools
          in: query
          name: q
          schema:
            type: string
        - in: query
          name: collapse
          schema:
            default: true
            type: boolean
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````